% Biomolecular Network Simulator
% version 2.5
% Author Brent D. Foy
% Co-authors Slava Chushak and Chris Geib
% Created 2000-2006
% Latest revision, July 7, 2006

function varargout = bns(varargin)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Default Directories Section
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
startup

code_dir = pwd;

output_filename = [];

default_directories

input_setup_bns

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Use GUI interface or just run
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if use_GUI
    
    bns_GUI('not_a_keyword', dir_info)

elseif ~use_batch

    nonmpi

end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   if use_batch > 0 - run stand alone bns_c
%            Slava Ch.        12/06
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if use_batch
    
    usebatch

end

